Skip to main content
GET
List portfolio fills
For more information, please visit the INTX Java SDK.

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Path Parameters

portfolio
string
required

Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)

Query Parameters

order_id
string

A specific order for which to fetch fills identified by order ID

Example:

43877033468085760

client_order_id
string

Fetch fills for all orders with the given client order ID

Example:

"ABC123"

ref_datetime
string<date-time>

The maximum event_time for results. Can be used in pagination to keep result set static. Uses ISO-8601 format (e.g., 2023-03-16T23:59:53Z)

Example:

"2023-03-16T23:59:53.000Z"

result_limit
integer

The number of results to return (defaults to 25 with a max supported value of 100)

Example:

30

result_offset
integer

The number of results from the beginning to skip past

Example:

50

time_from
string<date-time>

The minimum event_time for results. Uses ISO-8601 format (e.g., 2023-03-16T23:59:53Z)

Example:

"2023-03-16T23:59:53.000Z"

Response

Fill information

pagination
object
results
object[]